Nova versão do Jasper Plugin liberada
03/11/2008 00:00
0
Olá a todos,

Não tenho participado muito da comunidade por falta de tempo em trabalhar com Grails, mesmo assim o plugin para suporte a relatórios no formato Jasper recebeu atualizações (Agradecimentos a Craig Jones) e estou feliz em anunciar que a versão 0.9 foi finalmente liberada.

Espero que as pessoas que estejam trabalhando com ele possam dar um feedback para que possamos melhorar ele cada vez mais.

Pessoas interessadas em contribuir com o código também são sempre bem vindas <!-- s:) --><img src="{SMILIES_PATH}/icon_smile.gif" alt=":)" title="Smile" /><!-- s:) -->

[]'s
Tags: Grails


0
Muito fera esse plugin. Espero que um dia eu consiga tempo para ajudar em seu desenvolvimento. =)


Abração
26/11/2008 00:00


0
ola,
eu testei o plugin (grails 1.0.4). Qdo uso o demo funciona que é uma beleza, mas qdo vou usar um relatorio gerado por mim dá problema. Será alguma incompatibilidade de versao do grails ?

Herrera
02/12/2008 00:00


0
Herrera,

Dve ser erro no relatório. Como vc fez com os fields?
03/12/2008 00:00


0
Acabei de olhar alguns site e parece que funciona para o versao 2.0.5 do IReport(eu estou usando a 3.0.0). vou baixar e testar.


Herrera

segue o link :

<!-- m --><a class="postlink" href="http://www.leebutts.com/2008/08/jasper-reports-grails-plugin-gotcha.html">http://www.leebutts.com/2008/08/jasper- ... otcha.html</a><!-- m -->

Thought I'd blog this quickly:

If you're using iReport to develop reports for use with the Jasper Reports grails plugin, make sure you download the version that matches the version of Jasper that the plugin uses (currently 2.0.5). Otherwise you get terribly unhelpful exceptions like:

java.lang.NullPointerException

03/12/2008 00:00


0
Eu uso a versão 3.0.0 e funciona normalmente. =)
03/12/2008 00:00


0
Que estranho eu usei a versao 2.0.5 do IReport e funcionou !!

Herrera
03/12/2008 00:00


0
Estranho mesmo. Estou usando o IReport 3.0.0. Com certeza a forma como vc criou seu relatório na versão 3.0.0 era incompatível. Talvez alguma feature específica. Até porque o iReport não importa para o plugin. O mais importante é a versão do JasperReports. Pode ser que em algumas situação o iReport 3.0.0 gere código compatível apenas com uma versão mais atual do JasperReports.
03/12/2008 00:00



Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto